{{ $appName := .Values.echo.name -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ $appName }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "echo-server.labels" . | nindent 4 }}
spec:
  type: ClusterIP
  ports:
    - name: "http"
      port: {{.Values.echo.ports.http}}
    - name: "https"
      port: {{.Values.echo.ports.https}}
  selector:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "echo-server.selectorLabels" . | nindent 4 }}
